Bullet Collision Detection & Physics Library: btConvexPlaneCollisionAlgorithm::CreateFunc Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btConvexPlaneCollisionAlgorithm::CreateFunc Struct Reference

`#include <btConvexPlaneCollisionAlgorithm.h>`

Inheritance diagram for btConvexPlaneCollisionAlgorithm::CreateFunc:
[legend]
Collaboration diagram for btConvexPlaneCollisionAlgorithm::CreateFunc:
[legend]

## Public Member Functions
| CreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Public Member Functions inherited from btCollisionAlgorithmCreateFunc
| btCollisionAlgorithmCreateFunc ()
virtual | ~btCollisionAlgorithmCreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)

## Public Attributes
int | m_numPerturbationIterations
int | m_minimumPointsPerturbationThreshold
Public Attributes inherited from btCollisionAlgorithmCreateFunc
bool | m_swapped

## Detailed Description

Definition at line 56 of file btConvexPlaneCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ CreateFunc()

btConvexPlaneCollisionAlgorithm::CreateFunc::CreateFunc | ( |  | ) |
| inline

Definition at line 61 of file btConvexPlaneCollisionAlgorithm.h.

## Member Function Documentation

## ◆ CreateCollisionAlgorithm()

virtual btCollisionAlgorithm * btConvexPlaneCollisionAlgorithm::CreateFunc::CreateCollisionAlgorithm | ( | btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap
| ) |  |
| inlinevirtual

Reimplemented from btCollisionAlgorithmCreateFunc.

Definition at line 67 of file btConvexPlaneCollisionAlgorithm.h.

## Member Data Documentation

## ◆ m_minimumPointsPerturbationThreshold

int btConvexPlaneCollisionAlgorithm::CreateFunc::m_minimumPointsPerturbationThreshold

Definition at line 59 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ m_numPerturbationIterations

int btConvexPlaneCollisionAlgorithm::CreateFunc::m_numPerturbationIterations

Definition at line 58 of file btConvexPlaneCollisionAlgorithm.h.

The documentation for this struct was generated from the following file:

- btConvexPlaneCollisionAlgorithm.h